Cannot know whether a wiki page is locked unless clicking the drop-down menu
2019-01-04 06:11 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 4.0.0
Description

The change r17678 moved some action links on a wiki page to the drop-down menu. Lock/Unlock button was moved as well.

Due to the change, you cannot know whether the wiki page is locked without clicking the drop-down menu. The buttons also have a
function to show the locked/unlocked status of a page. | think the change made usability worse because Lock/Unlock status of a wiki
page is one of the important information.

| propose the change to making the Lock/Unlock icon visible again.
Related issues:
Is duplicate of Redmine - Feature #9634: Show locked badge for locked wiki pages Closed 2011-11-22

History

#1 - 2019-01-04 06:15 - Go MAEDA
- Related to Feature #9634: Show locked badge for locked wiki pages added

#2 - 2019-01-04 09:45 - Marius BALTEANU

| know that the fastest solution is to make the button visible again, but I'm not sure if is the best solution. In my opinion, it is quite hard to get the status
of the page based on the button.

What do you think if we show the status as a badge next to the wiki page title (as | proposed for the versions in #29391)? And maybe to show it only
for the locked pages. Another option is to show the "locked" icon instead of the badge.

#3 - 2019-01-04 11:37 - Bernhard Rohloff
Marius BALTEANU wrote:

What do you think if we show the status as a badge next to the wiki page title (as | proposed for the versions in #29391)? And maybe to show it
only for the locked pages. Another option is to show the "locked" icon instead of the badge.

| actually like the idea of a "locked" badge next to the page title as it would introduce badges more widespread in Redmine and is more obvious.

#4 - 2019-01-05 07:59 - Go MAEDA
Marius BALTEANU wrote:

What do you think if we show the status as a badge next to the wiki page title (as | proposed for the versions in #29391)? And maybe to show it
only for the locked pages. Another option is to show the "locked" icon instead of the badge.

| think it is a nicer solution than | suggested. Actually, my solution is not useful for ordinary users because the lock/unlock button is visible for only
privileged users. Currently, they cannot know the reason why the wiki page is not editable. The problem is reported as #9634.

Maybe your solution is visible for every user who has access to wiki pages, so it addresses #9634

#5 - 2019-01-20 07:46 - Jean-Philippe Lang
- Target version changed from 4.0.1 to 4.0.2

#6 - 2019-02-21 17:20 - Jean-Philippe Lang

- Target version changed from 4.0.2 to Candidate for next minor release

#7 - 2019-04-26 11:51 - Marius BALTEANU
- Related to deleted (Feature #9634: Show locked badge for locked wiki pages)

#8 - 2019-04-26 11:51 - Marius BALTEANU
- Is duplicate of Feature #9634: Show locked badge for locked wiki pages added

#9 - 2019-04-26 11:52 - Marius BALTEANU
- Status changed from New to Closed
- Target version deleted (Candidate for next minor release)

- Resolution set to Duplicate

We'll fix this issue in #9634.
